Subject: git-subtree

From: David Greene <[email-masked]>
Date: Wed, 04 Jan 2012 09:53:36 -0600

Hey all,

Avery Pennarun has suckered me into^W^W^Wasked me to submit his
git-subtree tool for inclusion into mainline.  Apparently there was some
discussion about this at GitTogether.

I have a patch ready.  It takes git-subtree from the current GitHub
master, fixes the tests to use the standard git test harness and updates
the build to recognize git-subtree.

How does the git community want the patch presented?  Right now it's one
monolithic thing.  I understand that isn't ideal but I don't think
incorporating the entire GitHub master history is necessarily the best
idea either.

So I'm looking for some guidance.

Thanks!

                            -Dave